=== debian/changelog ===
kdepim (4:4.14.1-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * Fix CVE-2019-10732: reply-based decryption oracle.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 18 Jun 2019 10:55:26 +0200

kdepim (4:4.14.1-1+deb8u1) jessie; urgency=high

  * Team upload.
  * Fix CVE-2017-9604: Send Later with Delay bypasses OpenPGP (Closes: #864804)
    - Added upstream patch 78c5552be2f00a4ac25bd77ca39386522fca70a8 in file
      fix-CVE-2017-9604.patch
    - Added upstream patch c54706e990bbd6498e7b1597ec7900bc809e8197 in file
      fix-CVE-2017-9604.p2.patch (nowadays messagelib)

 -- Sandro Knauß <hefee@debian.org>  Fri, 25 Aug 2017 20:18:55 +0200

kdepim (4:4.14.1-1) unstable; urgency=medium

  * Remove old Breaks/Replaces (for versions older than oldstable).
  * korganizer: recommend kdepim-kresources instead of just suggesting
    it. (Closes: #760472)
  * New upstream release (4.14.1).
  * kmail: Update install file.
  * Build tests on the testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Sep 2014 11:40:58 +0200

kdepim (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Refresh patches.
  * Update install files.
  * Add new lib package: libfollowupreminder4.
  * Update disable_has_focus_tests_failed_in_xvfb.patch.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 00:31:34 +0200

kdepim (4:4.13.3-2) unstable; urgency=medium

  * Move journalplugin.desktop back to korganizer
  * Bump korganizer's Breaks/Replaces kontact version. (Closes: #751753)
  * Add missing licenses to the debian/copyright file (Closes: #750455)
  * Update storageservicemanager short description. (Closes: #757736)
    Thanks to Joao Eriberto Mota Filho.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Aug 2014 14:54:48 +0200

kdepim (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patch:
    upstream_fix334612_selecting_text_and_pressing_enter_doesnt_replace.
    patch
  * Remove upstream patch:
    upstream_fix334730_kontact_crash_on_logout.patch
  * Remove upstream patch:
    upstream_fix334937_kmail_crashes_when_attaching_file.patch
  * Refresh patches.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 21:34:01 +0200

kdepim (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * New library package: libnoteshared4.
  * New binary package: storageservicemanager.
  * Update install files.
  * Libraries gone in 4.13.1: libgrammar4, libfolderarchive4,
    libpimactivity4.
  * New upstream patch:
    upstream_fix334612_selecting_text_and_pressing_enter_doesnt_replace.
    patch
  * New upstream patch: upstream_fix334730_kontact_crash_on_logout.patch
  * New upstream patch:
    upstream_fix334937_kmail_crashes_when_attaching_file.patch
  * New patch: disable_has_focus_tests_failed_in_xvfb.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 10:13:17 +0200

kdepim (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:26 +0200

kdepim (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:26 +0100

kdepim (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * New binary package: libfolderarchive4
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:54 +0100

kdepim (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * kmail.install: do not hardcode the minor grantlee version.

  [ Maximiliano Curia ]
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New patch: disable_test_verify

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 17:55:47 +0100

kdepim (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:56:48 +0100

kdepim (4:4.11.2-2) experimental; urgency=low

  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Oct 2013 20:06:43 +0200

kdepim (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches:
    - kmail_reply-as-html.diff: removed, applied upstream.
    - upstream_Use-the-template-time-in-a-special-case.patch: removed, applied
      upstream.
    - korganizer_templates.diff: removed, applied upstream.
  * Update build-dependencies.
  * Add support for building mobile applications.
  * Add new packages: libcomposereditor4, libgrammar4, libpimactivity4,
    libsendlater4.
  * Update install files.
  * Remove kdepim-strigi-plugins package.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Oct 2013 13:20:18 +0200

kdepim (4:4.10.5-2) unstable; urgency=low

  [ Maximiliano Curia ]
  * New patch: spambayes.patch, thanks to Alexandre Fayolle
    <afayolle@debian.org>. (Closes: #602798)
  * kmail, update spambayes dependency version.

  [ Pino Toscano ]
  * Backport upstream commit fe8ab0c4b6bebe0e5806a870b0946e13bec92c7e to
    switch off the default value of the "Reply using HTML if present" option
    in KMail; patch kmail_reply-as-html.diff. (Closes: #717113)
  * Update lintian overrides.
  * Backport upstream commits 2b160d53fe9c83fc2a0e65e510d0f02cb8670552 and
    596c0df2933c1af13944d9a0c8e70d0f3e9966b0 to make the dates in organizer
    templates not override the user's choice; patches korganizer_templates.diff
    and upstream_Use-the-template-time-in-a-special-case.patch.
    (Closes: #717093)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Aug 2013 09:38:57 +0200

kdepim (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:22:02 +0200

kdepim (4:4.10.4-1) experimental; urgency=low


