=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: akonadi-server (>= 1.12.1),
               baloo-dev (>= 4:4.14),
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.13),
               kdepimlibs5-dev (>= 4:4.14),
               libakonadi-dev (>= 1.12.90),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgrantlee-dev (>= 0.3.0),
               libkactivities-dev (>= 4:4.11),
               libkgapi-dev (>= 2.2),
               liblink-grammar4-dev,
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libprison-dev,
               libqca2-dev (>= 2.0.0),
               libqjson-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libsasl2-dev,
               libsearchclient-dev (>= 0.6.3),
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: dblatex
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepim.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: akonadiconsole (>= ${source:Version}),
         akregator (>= ${source:Version}),
         blogilo (>= ${source:Version}),
         kaddressbook (>= ${source:Version}),
         kalarm (>= ${source:Version}),
         kdepim-kresources (>= ${source:Version}),
         kjots (>= ${source:Version}),
         kleopatra (>= ${source:Version}),
         kmail (>= ${source:Version}),
         knode (>= ${source:Version}),
         knotes (>= ${source:Version}),
         konsolekalendar (>= ${source:Version}),
         kontact (>= ${source:Version}),
         korganizer (>= ${source:Version}),
         ktimetracker (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-mobile
Section: metapackages
Architecture: all
Depends: kaddressbook-mobile (>= ${source:Version}),
         kmail-mobile (>= ${source:Version}),
         korganizer-mobile (>= ${source:Version}),
         notes-mobile (>= ${source:Version}),
         tasks-mobile (>= ${source:Version}),
         ${misc:Depends}
Description: Personal Information Management apps for mobile environments
 This metapackage includes a collection of official KDE Personal Information
 Management (PIM) applications which have been designed for use in the mobile
 environments. Their feature set and user interface focus on convenience and
 ease of use with touchscreen and potentially small size displays.

Package: akregator
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Description: address book and contact data manager for mobile environments
 This package provides a convenient application for managing your addresses and
 contacts on mobile devices. It focuses on usability with touchscreen displays
 and potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: korganizer
Suggests: knotes
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM storage service
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         pinentry-qt4 | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends}
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: gnupg-agent, gnupg2, pinentry-qt4 | pinentry-x11
Suggests: clamav | f-prot-installer,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | annoyance-filter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: email client for mobile environments
 This package provides an email client which has been specially designed for
 use on mobile devices. It focuses on usability with touchscreen displays and
 potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpgp4 (<< 4:4.10.2)
Replaces: libkpgp4 (<< 4:4.10.2)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: kdepim-kresources
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: notes-mobile
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: notes application for mobile environments
 This package provides notes taking application which has been specially
 designed for use on mobile devices. Its user interface aims to make it easy to
 write and manage sticky notes via touchscreen and potentially small size
 displays.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .
 This package is part of the KDE PIM module.

Package: kontact
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: akregator, kaddressbook, kmail, knotes, korganizer
Suggests: gnokii, kjots, knode, ktimetracker
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.
 .
 This package is part of the KDE PIM module.

Package: tasks-mobile
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: task management application for mobile environments
 This package provides a task management application which user interface has
 been designed for use on the mobile devices.
 .
 This package is part of the KDE PIM module.

Package: korganizer
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: kdepim-kresources
Homepage: http://kontact.kde.org/korganizer/
Breaks: kontact (<< 4:4.13.3-2)
Replaces: kontact (<< 4:4.13.3-2)
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .
 This package is part of the KDE PIM module.

Package: korganizer-mobile
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar and personal organizer for mobile environments
 This package provides a calendar and personal organizer applications which has
 been specially designed for use on mobile devices. KOrganizer Mobile aims
 making it easy and convenient to manage your plans and daily routine on
