=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         akonadi-backend-sqlite
Restrictions: rw-build-tree
